[arch-commits] Commit in spidermonkey/repos (4 files)

Eric Belanger eric at archlinux.org
Wed May 28 23:23:14 EDT 2008


    Date: Wednesday, May 28, 2008 @ 23:23:14
  Author: eric
Revision: 2198

Merged revisions 2-2197 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/spidermonkey/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2197 | eric | 2008-05-28 23:22:59 -0400 (Wed, 28 May 2008) | 2 lines
  
  upgpkg: spidermonkey 1.7.0-1
      upstream update, updated threadsafe patch, added license, minor PKGBUILD cleanup
........

Added:
  spidermonkey/repos/extra-x86_64/spidermonkey-1.7-threadsafe.patch
    (from rev 2197, spidermonkey/trunk/spidermonkey-1.7-threadsafe.patch)
Modified:
  spidermonkey/repos/extra-x86_64/	(properties)
  spidermonkey/repos/extra-x86_64/PKGBUILD
Deleted:
  spidermonkey/repos/extra-x86_64/spidermonkey-1.5-threadsafe.patch

-----------------------------------+
 PKGBUILD                          |   14 +++++++-------
 spidermonkey-1.5-threadsafe.patch |   16 ----------------
 spidermonkey-1.7-threadsafe.patch |   16 ++++++++++++++++
 3 files changed, 23 insertions(+), 23 deletions(-)


Property changes on: spidermonkey/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /spidermonkey/trunk:1
   + /spidermonkey/trunk:1-2197

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-05-29 03:22:59 UTC (rev 2197)
+++ extra-x86_64/PKGBUILD	2008-05-29 03:23:14 UTC (rev 2198)
@@ -1,26 +1,26 @@
 # $Id$
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
-# Contributor: AUR
 
 pkgname=spidermonkey
-pkgver=1.60
+pkgver=1.7.0
 pkgrel=1
 pkgdesc="Mozilla's C implementation of JavaScript."
 arch=("i686" "x86_64")
 url="http://www.mozilla.org/js/spidermonkey/"
+license=('MPL' 'GPL' 'LGPL')
 depends=('nspr')
+options=('!makeflags' 'force')
 source=("http://ftp.mozilla.org/pub/mozilla.org/js/js-$pkgver.tar.gz" \
-	"spidermonkey-1.5-threadsafe.patch")
-md5sums=('bd8f021e43a8fbbec55ac2cd3d483243' '09d90eeeb50c1e7f8ad06bfa9ab2b93f')
+	"spidermonkey-1.7-threadsafe.patch")
+md5sums=('5571134c3863686b623ebe4e6b1f6fe6' 'b2ef9be017b6aa1857354b5223975a4f')
 
 build()
 {
-  export MAKEFLAGS="-j1"
   cd $startdir/src/js/src
   # fix for the lib location
-  [ "$CARCH" = "x86_64" ] && sed -i -e "s:lib64:lib:g" config.mk
+  [ "$CARCH" = "x86_64" ] && (sed -i -e "s:lib64:lib:g" config.mk || return 1)
   # patch Makefile for threadsafe support with native nspr
-  patch -p2 -i $startdir/src/spidermonkey-1.5-threadsafe.patch || return 1 
+  patch -p2 -i $startdir/src/spidermonkey-1.7-threadsafe.patch || return 1
   # build - threadsafe
   make -f Makefile.ref BUILD_OPT=1 JS_THREADSAFE=1 DIST=$startdir/pkg/usr all export || return 1
   # install

Deleted: extra-x86_64/spidermonkey-1.5-threadsafe.patch
===================================================================
--- extra-x86_64/spidermonkey-1.5-threadsafe.patch	2008-05-29 03:22:59 UTC (rev 2197)
+++ extra-x86_64/spidermonkey-1.5-threadsafe.patch	2008-05-29 03:23:14 UTC (rev 2198)
@@ -1,16 +0,0 @@
---- js/src/Makefile.ref.orig	2006-03-06 03:31:04.000000000 +0000
-+++ js/src/Makefile.ref	2006-03-06 03:33:03.000000000 +0000
-@@ -61,11 +61,11 @@
- 
- ifdef JS_THREADSAFE
- DEFINES += -DJS_THREADSAFE
--INCLUDES += -I../../dist/$(OBJDIR)/include
-+INCLUDES += -I/usr/include/nspr
- ifdef USE_MSVC
- OTHER_LIBS += ../../dist/$(OBJDIR)/lib/libnspr${NSPR_LIBSUFFIX}.lib
- else
--OTHER_LIBS += -L../../dist/$(OBJDIR)/lib -lnspr${NSPR_LIBSUFFIX}
-+OTHER_LIBS += -L/usr/$(LIBDIR)/nspr -lnspr${NSPR_LIBSUFFIX}
- endif
- endif
- 

Copied: spidermonkey/repos/extra-x86_64/spidermonkey-1.7-threadsafe.patch (from rev 2197, spidermonkey/trunk/spidermonkey-1.7-threadsafe.patch)
===================================================================
--- extra-x86_64/spidermonkey-1.7-threadsafe.patch	                        (rev 0)
+++ extra-x86_64/spidermonkey-1.7-threadsafe.patch	2008-05-29 03:23:14 UTC (rev 2198)
@@ -0,0 +1,16 @@
+--- js/src/Makefile.ref.orig	2008-05-28 19:51:32.000000000 -0400
++++ js/src/Makefile.ref	2008-05-28 19:52:17.000000000 -0400
+@@ -63,11 +63,11 @@
+ 
+ ifdef JS_THREADSAFE
+ DEFINES += -DJS_THREADSAFE
+-INCLUDES += -I$(DIST)/include/nspr
++INCLUDES += -I/usr/include/nspr
+ ifdef USE_MSVC
+ OTHER_LIBS += $(DIST)/lib/libnspr$(NSPR_LIBSUFFIX).lib
+ else
+-OTHER_LIBS += -L$(DIST)/lib -lnspr$(NSPR_LIBSUFFIX)
++OTHER_LIBS += -L/usr/$(LIBDIR)/nspr -lnspr${NSPR_LIBSUFFIX}
+ endif
+ endif
+ 





More information about the arch-commits mailing list